/*
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
 *
 * Copyright (c) 2012 Oracle and/or its affiliates. All rights reserved.
 *
 * The contents of this file are subject to the terms of either the GNU
 * General Public License Version 2 only ("GPL") or the Common Development
 * and Distribution License("CDDL") (collectively, the "License").  You
 * may not use this file except in compliance with the License.  You can
 * obtain a copy of the License at
 * https://glassfish.java.net/public/CDDL+GPL_1_1.html
 * or packager/legal/LICENSE.txt.  See the License for the specific
 * language governing permissions and limitations under the License.
 *
 * When distributing the software, include this License Header Notice in each
 * file and include the License file at packager/legal/LICENSE.txt.
 *
 * GPL Classpath Exception:
 * Oracle designates this particular file as subject to the "Classpath"
 * exception as provided by Oracle in the GPL Version 2 section of the License
 * file that accompanied this code.
 *
 * Modifications:
 * If applicable, add the following below the License Header, with the fields
 * enclosed by brackets [] replaced by your own identifying information:
 * "Portions Copyright [year] [name of copyright owner]"
 *
 * Contributor(s):
 * If you wish your version of this file to be governed by only the CDDL or
 * only the GPL Version 2, indicate your decision by adding "[Contributor]
 * elects to include this software in this distribution under the [CDDL or GPL
 * Version 2] license."  If you don't indicate a single choice of license, a
 * recipient has the option to distribute your version of this file under
 * either the CDDL, the GPL Version 2 or to extend the choice of license to
 * its licensees as provided above.  However, if you add GPL Version 2 code
 * and therefore, elected the GPL Version 2 license, then the option applies
 * only if the new code is made subject to such option by the copyright
 * holder.
 */

package org.glassfish.nexus.client.beans;

import javax.xml.bind.annotation.XmlType;

/**
 *
 * @author Romain Grecourt
 */
@XmlType
final public class StagingProfile {

    private String id;
    private String name;
    private String mode;
    private String[] stagingRepositoryIds;
    private String[] stagedRepositoryIds;

    public StagingProfile() {
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String[] getStagingRepositoryIds() {
        return stagingRepositoryIds;
    }

    public void setStagingRepositoryIds(String[] stagingRepositoryIds) {
        this.stagingRepositoryIds = stagingRepositoryIds;
    }

    public String[] getStagedRepositoryIds() {
        return stagedRepositoryIds;
    }

    public void setStagedRepositoryIds(String[] stagedRepositoryIds) {
        this.stagedRepositoryIds = stagedRepositoryIds;
    }

    public String getMode() {
        return mode;
    }

    public void setMode(String mode) {
        this.mode = mode;
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 83 * hash + (this.id != null ? this.id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final StagingProfile other = (StagingProfile) obj;
        if ((this.id == null) ? (other.id != null) : !this.id.equals(other.id)) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder("StagingProfile{ ");
        sb.append("id=");
        sb.append(id);
        sb.append(", name=");
        sb.append(name);
        sb.append(", stagingRepositoryIds=[");
        for (int i = 0; i < stagingRepositoryIds.length; i++) {
            sb.append(stagingRepositoryIds[i]);
            if (i < stagingRepositoryIds.length - 1) {
                sb.append(',');
            }
        }
        sb.append("], stagedRepositoryIds=[");
                for (int i = 0; i < stagedRepositoryIds.length; i++) {
            sb.append(stagedRepositoryIds[i]);
            if (i < stagedRepositoryIds.length - 1) {
                sb.append(',');
            }
        }
        sb.append("] }");
        return sb.toString();
    }
}